﻿#Region "FileHeader"
#If False Then
IVertrag definiert die Kommunikation mit dem Client. Da IVertrag.DoIt() den im Client unbekannten Typ StringData returnt, ist StringData auch Bestandteil des Vertrags. Wäre StringData dort bekannt - etwa durch eingebundene Dll - so wäre es nicht Vertragsbestandteil
#End If '-- Options, Imports
Imports System.ServiceModel
Imports System.Runtime.Serialization
#End Region 'FileHeader

<ServiceContract(Name:="Grapefruit")> _
Public Interface IVertrag
   <OperationContract> _
   Function DoIt() As StringData


   <OperationContract> _
   Function Ping() As Boolean

End Interface


<DataContract(Name:="DemoData")> _
Public Class StringData
   <DataMember(Name:="Content")> _
   Public Property Content() As String
      Get
         Return m_Content
      End Get
      Set(value As String)
         m_Content = value
      End Set
   End Property
   Private m_Content As String
End Class