﻿

Namespace System


   Public Module modDbg

      Private _DbgID As Integer

      ''' <summary>einfache Debug-Ausgabe, nimmt alles, unkaputtbar</summary>
      Public Sub Dbg(Args As IEnumerable)
#If Not Debug Then
         Return
#End If
         Dim Args2 As New List(Of Object)
         Args2.Add(_DbgID)
         _DbgID = (_DbgID + 1) Mod 10
         For Each arg In Args
            Args2.Add(" ")
            Args2.Add(arg)
         Next
         Console.WriteLine(String.Concat(Args2))
      End Sub

      ''' <summary>einfache Debug-Ausgabe, nimmt alles, unkaputtbar</summary>
      Public Sub Dbg(Args As IList(Of Object))
#If Not Debug Then
         Return
#End If
         Dim Args2(Args.Count * 2) As Object
         Args2(0) = _DbgID & " "
         _DbgID = (_DbgID + 1) Mod 10
         For i As Integer = 0 To Args.Count - 1
            Args2(i * 2 + 1) = If(Args(i), "##-Null-##")
            Args2(i * 2 + 2) = " "
         Next
         Console.WriteLine(String.Concat(Args2))
      End Sub

      ''' <summary>einfache Debug-Ausgabe, nimmt alles, unkaputtbar</summary>
      Public Sub Dbg(ParamArray Args As Object())
         Dbg(DirectCast(Args, IList(Of Object)))
      End Sub
      ''' <summary>einfache Debug-Ausgabe, nimmt alles, unkaputtbar</summary>
      Public Sub Dbg(s As String)
#If Not Debug Then
         Return
#End If
         Console.WriteLine(String.Concat(_DbgID, " ", s))
         _DbgID = (_DbgID + 1) Mod 10
      End Sub

   End Module

End Namespace